using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Graphs;

namespace Matching
{
    class UnLabel : Label
    {
        public override string toString()
        {
            return "UnLabel";
        }

        public override double dissimilarity(Label label)
        {
            if (label is UnLabel) return 0;
            else return 1;
        }

        public override void fromAttributes(List<AttributeGXL> attributes)
        {
            //Ne fait rien
        }

        public override List<AttributeGXL> toAttributes()
        {
            AttributeGXL a = new AttributeGXL("string", "UnLabel", "");
            List<AttributeGXL> listA = new List<AttributeGXL>();
            listA.Add(a);

            return listA;
        }

    }
}
